GeoTIFFTagSet (Java SE 12 & JDK 12 )
Keywords: javax.imageio.plugins.tiff.GeoTIFFTagSet class

Module java.desktop
Package javax.imageio.plugins.tiff

## Class GeoTIFFTagSet

- java.lang.Object
- - javax.imageio.plugins.tiff.TIFFTagSet
  - - javax.imageio.plugins.tiff.GeoTIFFTagSet

-     public final class GeoTIFFTagSet
      extends TIFFTagSet

  A class representing the tags found in a GeoTIFF IFD. GeoTIFF is a standard for annotating georeferenced or geocoded raster imagery. This class does not handle the GeoKeys referenced from a GeoKeyDirectoryTag as those are not TIFF tags per se.

  The definitions of the data types referenced by the field definitions may be found in the `TIFFTag` class.

  Since:
    9

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `TAG_GEO_ASCII_PARAMS` | A tag used to store all ASCII-values GeoKeys.
    `static int` | `TAG_GEO_DOUBLE_PARAMS` | A tag used to store all `double`-values GeoKeys.
    `static int` | `TAG_GEO_KEY_DIRECTORY` | A tag used to store the GeoKey directory.
    `static int` | `TAG_MODEL_PIXEL_SCALE` | A tag used to specify the size of raster pixel spacing in model space units.
    `static int` | `TAG_MODEL_TIE_POINT` | A tag used to store raster-to-model tiepoint pairs.
    `static int` | `TAG_MODEL_TRANSFORMATION` | A tag used to specify the transformation matrix between the raster space and the model space.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `static GeoTIFFTagSet` | `getInstance()` | Returns a shared instance of a `GeoTIFFTagSet`.

    - ### Methods declared in class javax.imageio.plugins.tiff.TIFFTagSet

      `getTag, getTag, getTagNames, getTagNumbers`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAG_MODEL_PIXEL_SCALE

          public static final int TAG_MODEL_PIXEL_SCALE

      A tag used to specify the size of raster pixel spacing in model space units.
      See Also:
        Constant Field Values

    - #### TAG_MODEL_TRANSFORMATION

          public static final int TAG_MODEL_TRANSFORMATION

      A tag used to specify the transformation matrix between the raster space and the model space.
      See Also:
        Constant Field Values

    - #### TAG_MODEL_TIE_POINT

          public static final int TAG_MODEL_TIE_POINT

      A tag used to store raster-to-model tiepoint pairs.
      See Also:
        Constant Field Values

    - #### TAG_GEO_KEY_DIRECTORY

          public static final int TAG_GEO_KEY_DIRECTORY

      A tag used to store the GeoKey directory.
      See Also:
        Constant Field Values

    - #### TAG_GEO_DOUBLE_PARAMS

          public static final int TAG_GEO_DOUBLE_PARAMS

      A tag used to store all `double`-values GeoKeys.
      See Also:
        Constant Field Values

    - #### TAG_GEO_ASCII_PARAMS

          public static final int TAG_GEO_ASCII_PARAMS

      A tag used to store all ASCII-values GeoKeys.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static GeoTIFFTagSet getInstance()

      Returns a shared instance of a `GeoTIFFTagSet`.
      Returns:
        a `GeoTIFFTagSet` instance.